

#include "itkImageFileReader.h"
#include "itkImageFileWriter.h"
#include "itkImage.h"
#include <iostream>

int main( int argc, char ** argv )
{
  const unsigned int Dimension = 3;
  typedef float PixelType;

  typedef itk::Image<PixelType, Dimension> ImageType;
  typedef itk::ImageFileReader<ImageType> ReaderType;
  typedef itk::ImageFileWriter<ImageType> WriterType;

  ReaderType::Pointer reader = ReaderType::New();
  WriterType::Pointer writer = WriterType::New();

  reader->SetFileName( "test.mhd" );
  writer->SetFileName( "testz.mhd" );

  writer->SetUseCompression( true );

  writer->SetInput( reader->GetOutput() );

  std::cout << "Update pipeline!" << std::endl;
  try
  {
    writer->Update();
  }
  catch (itk::ExceptionObject & err)
  {
    std::cerr << "Exception caught!" << std::endl;
    std::cerr << err << std::endl;
    return 1;
  } 
  std::cout << "Pipeline successfully executed." << std::endl;

  return 0;

} // end main


